%define major 5
%define libname %mklibname stlport %major
%define libname_devel %mklibname -d stlport

Name:          stlport
Version:       5.2.1
Release:       %mkrel 5
Summary:       Multiplatform C++ Standard Library (STL implementation)
Group:         System/Libraries
License:       GPL
Url:           http://www.stlport.org/
Source0:       http://downloads.sourceforge.net/stlport/STLport-%{version}.tar.gz
# (cjw) pass tests with gcc 4.7
Patch1:        STLport-5.2.1-gcc-4.7.patch

BuildRequires: boost-devel

%description
STLport is a multiplatform ANSI C++ Standard Library implementation. It is
free, open-source product, featuring the following:

-  Advanced techniques and optimizations for maximum efficiency
-  Exception safety and thread safety
-  Important extensions - hash tables, singly-linked list, rope

%package -n %libname
Summary:       %{name} - Complete C++ standard library
Group:         System/Libraries
Provides:      %{name} = %version

%description -n %libname
STLport is a multiplatform STL implementation based on SGI STL.
This package contains the runtime library for STLport.

%package -n %libname_devel
Group:         Development/C++
Summary:       Devel package for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}

%description -n %libname_devel
STLport is a multiplatform STL implementation based on SGI STL. Complete   
C++ standard library, including <complex> and SGI STL iostreams.

This package contains static libraries and header files need for development.

%prep
%setup -q -n STLport-%{version}
%patch1 -p1 -b .gcc4_7

%build
# Unknown configuration option '--build=i586-mageia-linux-gnu'
./configure \
  --prefix=%_prefix \
  --bindir=%_bindir \
  --libdir=%_libdir \
  --includedir=%_includedir \
  --use-compiler-family=gcc \
  --with-system-boost \
  --without-debug
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{buildroot}
#cd %{buildroot}%_includedir/stlport
#ln -s . ext

%check
make check

%files -n %libname
%_libdir/libstlport.so.%{major}*
%doc README

%files -n %libname_devel
%dir %_includedir/stlport
%_includedir/stlport/*
%_libdir/libstlport.so
%doc INSTALL* etc/ChangeLog* etc/*.txt etc/*.gif doc/FAQ doc/README.utf8 doc/*.txt


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 5.2.1-5.mga4
+ Revision: 529637
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 5.2.1-4.mga4
+ Revision: 452696
- rebuild for new boost

* Mon Jan 14 2013 umeabot <umeabot> 5.2.1-3.mga3
+ Revision: 383479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 cjw <cjw> 5.2.1-2.mga3
+ Revision: 329747
- patch1: fix 2 issues in stlport that cause tests to fail with gcc 4.7

* Wed Dec 28 2011 gil <gil> 5.2.1-1.mga2
+ Revision: 188331
- imported package stlport

